# Like a post

### Like a post

`POST /api/v1/instagram/posts/{postId}/reactions`

Operation ID: `likeInstagramPost`

Likes a post, or one of its comments. A like is the only reaction a post takes.

**Path parameters**

- `postId` (string, required): postId from a posts listing, or the short code from the post URL.

**Request body** (required)

- `connectedAccountId` (string · uuid, required): Connected account to act as
- `commentId` (string, optional): Like this comment instead of the post.

**201**: Like added.

- `remainingToday` (integer, required): Remaining daily allowance for this action on the connected account. Each action type has its own limit.

**Errors**

- `400`: Bad request
- `401`: Unauthorized: missing or invalid API key
- `403`: Forbidden
- `404`: Not found
- `422`: Invalid request payload
